import javax.mail.*;
import javax.swing.*;
import java.util.*;

public class SwingAuthenticator extends Authenticator{
	private String fUser;
	private String fPassword;

	public PasswordAuthentication getPasswordAuthentication(){
		String result=JOptionPane.showInputDialog("ΗλΚδΘλ'ΣΓ»§Γϋ,ΓάΒλ'");
		
		StringTokenizer st=new StringTokenizer(result,",");
		fUser=st.nextToken();
		fPassword=st.nextToken();

		return new PasswordAuthentication(fUser,fPassword);
	}
}
